1

I have tried to use iWork 09 but my machine is only Core duo and not Core 2 Duo so will not load.

  • 1
    What happens when you try to load it? – tubedogg Sep 1 '13 at 17:23
1

It should run in your machine, as it is stated under Apple's iWork: System Requirements that iWork '09 requires an Intel processor ( not a Core2Duo ) and Mac OS X v10.5.6 or later.

Here's all of the requirements:

  • A Mac with an Intel, PowerPC G5, or PowerPC G4 (500MHz or faster) processor
  • 512MB of RAM; 1GB recommended
  • Approximately 1.2GB of available disk space
  • 32MB of video memory
  • Mac OS X v10.4.11 or Mac OS X v10.5.6 or later
  • QuickTime 7.5.5 or later
  • DVD drive required to install
  • Some features may require Internet access; additional fees and terms apply
| improve this answer | |

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .